# Estatistica no R - Aula 1 (base, tabelas e graficos)
# Luis Anunciacao (Psicometria, PUC-Rio/University of Oregon)
# luisfca@gmail.com www.anovabr.com

library("tidyverse") #carregar pacote
backup <- dados #criar arquivo de backup
dados %>% glimpse() %>% names() #apresentar variáveis
dados <- dados %>% mutate(ceri_soma = rowSums(.[13:18], na.rm=T)) #adicionar à base
dados <- dados %>% mutate(eat_soma= rowSums(.[19:44], na.rm=T)) #idem (separado para finalidade acadêmica)
dados <- dados %>% mutate(bsq_soma = rowSums(.[45:78], na.rm=T)) #idem

dados %>% select(ceri_soma, eat_soma, bsq_soma) %>% is.na() %>% sum() # verificar casos ausentes
dados <- dados %>% mutate(sexo = if_else(sexo == "1","Mulheres","Homens")) #Colocar os labels no fator sexo
dados <- dados %>% 
  mutate(país = if_else(país == "1","Brasil","Espanha")) %>% 
  rename(pais = país) #Colocar os labels no fator país e renomear
#apresentacao de mais informações
dados %>% 
  group_by(pais, sexo) %>% 
  summarise_at(vars(ceri_soma, eat_soma), 
               funs(mean(., na.rm = TRUE), sd(., na.rm = TRUE), n()))

dados <- dados %>% drop_na(sexo) #não usar participantes com "sexo" ausente

dados_brasil <- dados %>% filter(pais == "Brasil") %>% as_tibble() # criar uma base somente para o Brasil
dados_brasil %>% names() #listar a base
#plotar
ggplot(dados_brasil, aes(sexo, eat_soma, fill = sexo)) +
  geom_bar(fun.y = mean, position = "dodge", stat = "summary")  +
  geom_errorbar(fun.data = mean_se, stat = "summary") +
  labs(y="Resultados da escala EAT-26", title="Compara??o dos resultados da escala EAT-26 em função do sexo")

# Luis Anunciacao, 2017
# This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License. 
#https://creativecommons.org/licenses/by-nc-sa/4.0/




